logo
Apache Lounge
Webmasters

 

About Forum Index Downloads Search Register Log in  RSS Apache Lounge  


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Your donations will help to keep this site alive and well, and continuing building binaries. Apache Lounge is not sponsored.



Post new topic   Forum Index -> Building & Member Downloads View previous topic :: View next topic
Reply to topic   Topic: Help For httpd 2.4.x Deps
Author
hitendra1990



Joined: 07 Apr 2012
Posts: 3
Location: Veraval

PostPosted: Wed 11 Apr '12 9:57    Post subject: Help For httpd 2.4.x Deps Reply with quote

Early version httpd-2.2.x was compile apr,apr-util and apr-iconv with when we compile httpd.It is not possibe in httpd-2.4.x and if not possible plz guide me i can try to build it but i can not build it

and when i can build httpd as old style i got he following error:

Building Win32 Release targets (R suffixes)
'msdev' is not recognized as an internal or external command,
operable program or batch file.
NMAKE : fatal error U1077: 'msdev' : return code '0x1'
Stop.
NMAKE : fatal error U1077: '"C:\Program Files\Microsoft Visual Studio 9.0\VC\BIN
\nmake.exe"' : return code '0x2'
Stop.


plz give me guidance about that
Back to top
glsmith
Moderator


Joined: 16 Oct 2007
Posts: 2250
Location: Sun Diego, USA

PostPosted: Wed 11 Apr '12 19:02    Post subject: Reply with quote

I'll assume by the error this is Visual Studio Express but first, yes you compile APR, APR-Util & APR-Iconv while compiling httpd just like in 2.2.x. PCRE is no longer included and has to be downloaded and compiled separately.

It's odd that VC 9/10 Express triggers msdev (vc6) and not devenv (vc7 & up). It doesn't really matter since you do not have either.

With the express version, right click on the BuildBin project, select Project Dependencies and in the dialog that comes up select/check;
apr_dbd_odbc

If you have zlib compiled and in the srclib folder;
mod_deflate

if you have OpenSSL compiled and in srclib folder;
abs
mod_ssl

if you have LUA compiled and in srclib folder;
mod_lua

If you have libxml2 compiled and in srclib folder;
mod_proxy_html
mod_xml2enc


You will still see those msdev errors at the end of the build but all these modules and the odbc connector will already be built so there should be no problem come time you install to disk (Installbin).
Back to top


Reply to topic   Topic: Help For httpd 2.4.x Deps View previous topic :: View next topic
Post new topic   Forum Index -> Building & Member Downloads